Package org.eclipse.jgit.errors

## Class StopWalkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.StopWalkException

All Implemented Interfaces:
  `Serializable`

    public class StopWalkException
    extends RuntimeException

Stops the driver loop of walker and finish with current results.

See Also:
  `RevFilter`, Serialized Form

### Field Summary

Fields
`static StopWalkException` `INSTANCE` Singleton instance for throwing within a filter.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final StopWalkException INSTANCE

Singleton instance for throwing within a filter.